libssh: ssh_channel_callbacks_struct Struct Reference

libssh 0.8.3 The SSH library

Data Fields
ssh_channel_callbacks_struct Struct Reference
The libssh API » The libssh callbacks

## Data Fields
size_t | size
void * | userdata
ssh_channel_data_callback | channel_data_function
ssh_channel_eof_callback | channel_eof_function
ssh_channel_close_callback | channel_close_function
ssh_channel_signal_callback | channel_signal_function
ssh_channel_exit_status_callback | channel_exit_status_function
ssh_channel_exit_signal_callback | channel_exit_signal_function
ssh_channel_pty_request_callback | channel_pty_request_function
ssh_channel_shell_request_callback | channel_shell_request_function
ssh_channel_auth_agent_req_callback | channel_auth_agent_req_function
ssh_channel_x11_req_callback | channel_x11_req_function
ssh_channel_pty_window_change_callback | channel_pty_window_change_function
ssh_channel_exec_request_callback | channel_exec_request_function
ssh_channel_env_request_callback | channel_env_request_function
ssh_channel_subsystem_request_callback | channel_subsystem_request_function
ssh_channel_write_wontblock_callback | channel_write_wontblock_function

## Field Documentation

## ◆ channel_auth_agent_req_function

ssh_channel_auth_agent_req_callback ssh_channel_callbacks_struct::channel_auth_agent_req_function

This function will be called when a client requests agent authentication forwarding.

## ◆ channel_close_function

ssh_channel_close_callback ssh_channel_callbacks_struct::channel_close_function

This functions will be called when the channel has been closed by remote

## ◆ channel_data_function

ssh_channel_data_callback ssh_channel_callbacks_struct::channel_data_function

This functions will be called when there is data available.

## ◆ channel_env_request_function

ssh_channel_env_request_callback ssh_channel_callbacks_struct::channel_env_request_function

This function will be called when a client requests an environment variable to be set.

## ◆ channel_eof_function

ssh_channel_eof_callback ssh_channel_callbacks_struct::channel_eof_function

This functions will be called when the channel has received an EOF.

## ◆ channel_exec_request_function

ssh_channel_exec_request_callback ssh_channel_callbacks_struct::channel_exec_request_function

This function will be called when a client requests a command execution.

## ◆ channel_exit_signal_function

ssh_channel_exit_signal_callback ssh_channel_callbacks_struct::channel_exit_signal_function

This functions will be called when an exit signal has been received

## ◆ channel_exit_status_function

ssh_channel_exit_status_callback ssh_channel_callbacks_struct::channel_exit_status_function

This functions will be called when an exit status has been received

## ◆ channel_pty_request_function

ssh_channel_pty_request_callback ssh_channel_callbacks_struct::channel_pty_request_function

This function will be called when a client requests a PTY

## ◆ channel_pty_window_change_function

ssh_channel_pty_window_change_callback ssh_channel_callbacks_struct::channel_pty_window_change_function

This function will be called when a client requests a window change.

## ◆ channel_shell_request_function

ssh_channel_shell_request_callback ssh_channel_callbacks_struct::channel_shell_request_function

This function will be called when a client requests a shell

## ◆ channel_signal_function

ssh_channel_signal_callback ssh_channel_callbacks_struct::channel_signal_function

This functions will be called when a signal has been received

## ◆ channel_subsystem_request_function

ssh_channel_subsystem_request_callback ssh_channel_callbacks_struct::channel_subsystem_request_function

This function will be called when a client requests a subsystem (like sftp).

## ◆ channel_write_wontblock_function

ssh_channel_write_wontblock_callback ssh_channel_callbacks_struct::channel_write_wontblock_function

This function will be called when the channel write is guaranteed not to block.

## ◆ channel_x11_req_function

ssh_channel_x11_req_callback ssh_channel_callbacks_struct::channel_x11_req_function

This function will be called when a client requests X11 forwarding.

## ◆ size

size_t ssh_channel_callbacks_struct::size

DON'T SET THIS use ssh_callbacks_init() instead.

## ◆ userdata

void* ssh_channel_callbacks_struct::userdata

User-provided data. User is free to set anything he wants here

The documentation for this struct was generated from the following file:

- /build/libssh/src/libssh-0.8.3/include/libssh/callbacks.h